ChartDirector Ver 5.0 (PHP Edition)

AreaLayer.setMinLabelSize

Usage

setMinLabelSize(size)

Description

Sets the minimum height (or width if the x-axis and y-axis are swapped with XYChart.swapXY) of an area below which data labels will be hidden.
In ChartDirector, for an area layer, data labels (Layer.setDataLabelStyle) are drawn internal to the area, while the aggregate labels (Layer.setAggregateLabelStyle) are drawn external to the area.
ChartDirector will disable data labels if the area height (or width if the x- axis and y-axis are swapped with XYChart.swapXY) is too small to contain the data label.
By default, ChartDirector will automatically determine what is meant by "too small". The setMinLabelSize method can be used to manually defined the threshold for "too small".
Sometimes it may be desirable to display the data label even though it cannot be contained within the area. In this case, the setMinLabelSize can be used to set the threshold to 0.

Arguments

Argument | Default | Description
--- | --- | ---
size | (Mandatory) | The minimum height (or width if the x-axis and y-axis are swapped with XYChart.swapXY) of an area below which data labels will be hidden.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.